Lỗi Warning: Declaration of vBForum_Item_SocialGroupMessage…

Khi tạo diễn đàn bằng vBulletin 4.2.2 và kích hoạt chế độ vBullentin rồi post bài viết, nhấn đăng bài sẽ gặp lỗi

Warning: Declaration of vBForum_Item_SocialGroupMessage::getLoadQuery() should be compatible with vB_Model::getLoadQuery($required_query = ”, $force_rebuild = false) in /yourforum/item/socialgroupmessage.php on line 261

Lỗi vBulletin CMS trên VBB 4.2.2

Lỗi vBulletin CMS trên VBB 4.2.2

Nguyên nhân lỗi này là do hosting của bạn không hỗ trợ My SQL và PHP không tương thích

Rao vặt tại Biên Hòa hướng dẫn các bạn cách sửa lỗi trên

Bạn vào file class_core.php theo đường dẫn trong diễn đàn VBB của bạn yourforum/includes tìm đến dòng code sau:

case E_NOTICE:    
        // Just ignore these completely //    
    break;

sau đó thêm vào 2 dòng thành đoạn sau:

case E_NOTICE: 
       case E_STRICT;     
   case E_DEPRECATED;        
    // Just ignore these completely //  
      break;

Lưu lại và thử lại
Chúc bạn thành công

Bình luận qua Facebook

bình luận